/* ---------------------------------------------------- */
/*	Fixed Top Menu										*/
/* ---------------------------------------------------- */

/* End Fixed Top Menu	 */

(function ($, win, Modernizr, nav, doc) {

	"use strict";

	$(function () {

		/* ---------------------------------------------------- */
		/*	Toggle Search Popup									*/
		/* ---------------------------------------------------- */

		$(".btn-search-popup").on('click', function () {
			 $(".search-popup").toggleClass("open");
		});

		$(".close-btn").on('click', function () {
			$(".search-popup").removeClass("open");
		});

		/* ---------------------------------------------------- */
		/*	Fixed Top Menu										*/
		/* ---------------------------------------------------- */
		
		createSticky($("#header .sticky_wrapper"));

		/* End Fixed Top Menu	 */

		function createSticky(sticky) {

		  if (typeof sticky !== "undefined") {

		    var pos = sticky.offset().top,
		        win = jQuery(window);
		      
		    win.on("scroll", function() {
		        win.scrollTop() >= pos ? sticky.addClass("fixed-top") : sticky.removeClass("fixed-top");      
		    });     
		  }
		}

		/* ---------------------------------------------------- */
		/*	Dropdown Menu Fade  on Hovee						*/
		/* ---------------------------------------------------- */
		if ($(window).width() > 991) {
			$(".dropdown").hover(
		        function() { 
		        	$('.dropdown-menu', this).fadeIn("fast");
		        	$('.dropdown-menu', this).addClass('show');
		        },
		        function() { 
		        	$('.dropdown-menu', this).fadeOut("fast");
		        	$('.dropdown-menu', this).removeClass('show');
		    });
		}

		if ($(window).width() > 991) {
	  		$('.dropdown-toggle').click(function() { var location = $(this).attr('href'); window.location.href = location; return false; });
	  	}

		/* ---------------------------------------------------- */
		/*	sidebar sticky									*/
		/* ---------------------------------------------------- */
		var sidebar
		var $sidebar = $('#sidebar');
		if ($sidebar.length) {
		  	var sidebar = new StickySidebar('#sidebar', {
			    topSpacing: 80,
			    bottomSpacing:0,
			    containerSelector: '.main-content',
			    resizeSensor: true,
			    stickyClass: 'is-affixed',
			    innerWrapperSelector: '.sidebar__inner',
			    minWidth: 992
			});
	  	}

	});
	/* ---------------------------------------------------- */
	/*	Preloader											*/
	/* ---------------------------------------------------- */

	// Preloader active code
	$(window).on('load', function () {
	    $('body').css('overflow-y', 'visible');
	    $('#preloader').fadeOut('slow', function () {
	        $(this).remove();
	    });
	});

	/* end Preloader */

}(jQuery, window, Modernizr, navigator, document));

